# AUTOGENERATED! DO NOT EDIT! File to edit: nbs/00_core.ipynb (unless otherwise specified).

__all__ = ['load_pokemon_colours', 'PokemonColours', 'get_colormap']

# Cell
import json
from types import SimpleNamespace
from matplotlib.colors import ListedColormap
from .pokemon_colours import pokemon_colours_dict

# Cell
def load_pokemon_colours():
    "Load json file containing HEX pokemon colours"
    return SimpleNamespace(**{pokemon: colour.split(',') for pokemon, colour in pokemon_colours_dict.items()})

# Cell
PokemonColours = load_pokemon_colours()

# Cell
def get_colormap(pokemon: str) -> ListedColormap:
    "Turns a stored colour palette into a matplotlib ListedColormap"
    colours = PokemonColours.__getattribute__(pokemon)
    return ListedColormap(colours)